<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
$get_MayChu = mysqli_query($conn, "Select * From config_server WHERE ServerID = '".$_POST['sv']."'");
if(!mysqli_num_rows($get_MayChu)){
	die('Máy chủ không hợp lệ');
}
$get_MayChu = mysqli_fetch_array($get_MayChu, MYSQLI_ASSOC);
$conn_NV = @mysqli_connect('171.244.9.115', $username, $password,$get_MayChu['Databases']);
if ($conn_NV->mysqli_connect_errno) {
    die("Connection failed: " . $conn_NV->mysqli_connect_errno);
}
// cover utf 8
mysqli_query($conn_NV, "SET NAMES 'utf8'");
$getinfo = mysqli_query($conn_NV, "Select * From Player WHERE Account = '".$_POST['user']."' and Server = '".$_POST['Server']."'");
?>
        <!-- Modal Header -->
        <div class="modal-header">
          <h4 class="modal-title">Quản lý & Nhân vật tài khoản</h4>
          <button type="button" class="close" data-dismiss="modal">×</button>
        </div>
        
        <!-- Modal body -->
		<?php if(mysqli_num_rows($getinfo)) { ?>
        <div class="modal-body">
		    <label>Danh sách nhân vật</label>
		    <div class="form-group pass_show"> 
               <select id="list_char" class="form-control">
			    <?php
				while($row = mysqli_fetch_array($getinfo, MYSQLI_ASSOC)){
					echo '<option value=\''.$row['ID'].'\'>'.$row['PlayerName'].'</option>';
				}
				?>
			   </select>
            </div> 
		       <label>Đổi Tên Nhân Vật Mới</label>			
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="info_namenew" class="form-control" placeholder="Có thể đổi tên Có Dấu Cách."> 
            </div> 			
		<? } else { echo '<hr /> <center>Không tìm thấy nhân vật tài khoản này.</center> <hr />';} ?>			
        </div>
        
        <!-- Modal footer -->
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" onClick="saveInfo();">Lưu ngay</button>
        </div>
        <Script>
		function saveInfo(){
			$.post('ajax_changechar.php', {user:'<?=$_POST['user']?>',sv:'<?=$_POST['Server']?>',charid:$('#list_char').val(),namenew:$('#info_namenew').val()}, function(data){
		if(data['type'] == 0){
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: data['text']
                });				
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data['text']
                });				
		}
	},'json');
		}
		</script>
				   